require 'rakelib/extensions.rb'
require 'rakelib/rbspec.rb'
require 'rakelib/vcs.rb'
require 'rakelib/smalltalk-utils.rb'
require 'rakelib/jenkins-utils.rb'

# Following hack is required to allow passing variable
# values in `make` style, i.e., to allow for
#
#  rake PROJECT=stx:jv-branch compile
#
ARGV.each do | arg |
  name_and_value = /^([A-Za-z_]+)\w*=(.*)/.match(arg)
  if name_and_value
     self.class.const_set(name_and_value[1], name_and_value[2])  
  end
end

# Update PATH for build so build scripts may access 
# scripts in `bin` directory. This is required especially
# on Windows as Windows do not ship with some basic tools
# (e.g. zip) by default. As a courtesy to the user, provide
# our own
ENV['PATH'] = "#{ENV['PATH']}#{File::PATH_SEPARATOR}#{File.expand_path('bin')}"


